Issue 39157 - allow copying assertions from the debug-window
allow copying assertions from the debug-window
Status: CLOSED FIXED
Product: gsl
Classification: Code
Component: code
680m66
All All
: P4 trivial (vote)
: OOo 2.0
Assigned To: Frank Schönheit
issues@gsl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 14:41 UTC by Frank Schönheit
Modified: 2005-03-31 10:54 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch (9.74 KB, patch)
2004-12-16 14:41 UTC, Frank Schönheit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2004-12-16 14:41:17 UTC
Tools-based assertions (DBG_*) can be rerouted to a dedicated Window, instead of
a modal message box. Would be nice if the assertion text can be copied to the
clipboard, from within this window.
The attached patch implements this.
Comment 1 Frank Schönheit 2004-12-16 14:41:56 UTC
Created attachment 20587 [details]
patch
Comment 2 Frank Schönheit 2004-12-16 14:45:43 UTC
fs->pl: the basic idea(s) in the patch:
- the class TextDataObject gets a static method to copy a string into a clipboard
- the implementation of this method is stolen from Edit::ImplCopy (and then
  also used therein, of course)
- in the debug window, every *first* line belonging to a given assertion gets a
  non-0 UserData set
- upon requesting the context menu on the list box, a popup menu with the single
  entry "copy to clipboard" is opened
- when chosen, the assertion to which the currently selected line belongs to is
  copied to the window's clipboard
Comment 3 philipp.lohmann 2005-01-13 18:38:03 UTC
fixed in CWS vcl35
Comment 4 philipp.lohmann 2005-01-21 17:06:17 UTC
reopen for reassign
Comment 5 philipp.lohmann 2005-01-21 17:06:55 UTC
please verify in CWS vcl35
Comment 6 philipp.lohmann 2005-01-21 17:07:26 UTC
fixed
Comment 7 philipp.lohmann 2005-01-21 17:09:09 UTC
pl->fs: please not also the "Copy" button in the errorboxes that are avilable on
Unix system (or rather Non-Windows systems) only for implementation reasons. The
Copy button copies the assertion to the clipboard (you might have guessed :-) ).
Comment 8 Frank Schönheit 2005-01-24 10:21:33 UTC
looks good - thanks for incorporating the patch :)
Comment 9 Frank Schönheit 2005-03-31 10:54:09 UTC
verified in master